%global gem_name wirble

Summary:       Handful of common Irb features, made easy
Name:          rubygem-%{gem_name}
Version:       0.1.3
Release:       10.2%{?dist}
License:       MIT and LGPLv2

URL:           http://pablotron.org/software/wirble/
Source0:       http://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:     noarch

BuildRequires: rubygems-devel

Requires:      ruby(release)
Requires:      ruby(rubygems)


%description
Handful of common Irb features, made easy.


%package doc
Summary:   Documentation for %{name}
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch


%description doc
Documentation for %{name}


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# apply any patches here


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/_irbrc
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README


%files doc
%{gem_instdir}/Rakefile
%{gem_instdir}/setup.rb
%{gem_instdir}/wirble.gemspec
%doc %{gem_docdir}


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-10.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-9.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.3-8.2
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-7.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-6.2
- Now installs the repackaged gem.

* Wed Dec 26 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-6.1
- Updated the specfile to reflect current Ruby packaging guidelines.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.3-5
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-3
- First official build for Fedora.

* Wed Dec 21 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-2
- Changed the license from LPGv2 to MIT and LGPLv2.
- Removed the unused ruby_sitelib macro. 
- Moved Rakefile, setup.rb and wirble.gemspec to -doc.
- Marked _irbrc as %doc

* Tue Nov 08 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.3-1
- Initial package
